services:
  workflow.manager:
    class: Drupal\workflow\Entity\WorkflowManager
    arguments: ['@entity_type.manager', '@config.factory', '@string_translation', '@module_handler', '@current_user']

  workflow.route_subscriber:
    class: Drupal\workflow\Routing\RouteSubscriber
    arguments: ['@entity.manager']
    tags:
      - { name: event_subscriber }
